Bug 472723 - erroneous errors in gnome-about-me with winbindd authentation enabled
erroneous errors in gnome-about-me with winbindd authentation enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
12
All Linux
medium Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 23:01 EST by Jason Haar
Modified: 2009-12-09 10:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 10:12:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Haar 2008-11-23 23:01:07 EST
Description of problem:

If you have enabled winbindd authentication/authorization (and disabled selinux and that still doesn't support it), and go to change some personal details, when it asks you to authentication yourself, an (two) error dialog pops up

Authenticating as "domain\username"

Domain Controller unreachable, using cached credentials instead. Network resources may be unavailable

This is on a system which is fully network-enabled, and domain controllers are available.

My point is that gnome-about-me still does what you asked - so what was the point of the warning?



Version-Release number of selected component (if applicable):

control-center-2.24.0.1-9.fc10.i386

How reproducible:

System->Preferences-About Me

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

well the error is incorrect - it should have been able to do the action. However, even if you ignore that issue, it still had cached creds to check the password against, so I see no reason to confuse the user with it.

BTW: winbind support rocks! Really close to WinXP in experience now - and I mean that in a good way ;-)


Additional info:
Comment 1 Ray Strode [halfline] 2008-11-24 10:17:23 EST
Pretty sure we just call out to userpasswd, so reassigning to there
Comment 2 Bug Zapper 2008-11-26 00:50:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 04:23:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Miloslav Trmač 2009-11-18 11:22:49 EST
I'm afraid I wasn't able to test this yet, pushing to F12 to make sure this bug is not closed without any attempt to fix it.
Comment 5 Jason Haar 2009-11-18 11:42:47 EST
I've just tested it by changing my image and a phone number and this time it didn't even ask for a password. So either it's fixed, or has changed in such a way that this issue doesn't occur any more?

Jason
Comment 6 Miloslav Trmač 2009-12-09 10:12:03 EST
libuser does not support winbind accounts, so attempts to change the user information by userinfo fail.

control-center 2.28 in Fedora 12 does not call userinfo any more, so these error messages don't appear in Fedora 12.

Note You need to log in before you can comment on or make changes to this bug.